using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HaErBinMIMI.Forms.ToRecord.Helper
{
	public class InsuHelper
	{
		InvokeHelper invoker = new InvokeHelper();
		public string Get1901Dic()
		{
			JObject setJson = new JObject();
			string parNum = "";
			setJson.Add(new JProperty("code", parNum));
			//setJson.Add(new JProperty("session", AddUserJson()));
			//JObject joRtn = invoker.invokeCenterService("1101", JsonHelper.setCenterInpar("1101", joInput));


			return "";
		}

		/// <summary>
		/// 加上用户验证信息
		/// </summary>
		/// <returns></returns>
		public void AddUserJson(string inParam)
		{
			//dynamic sess = new JObject();
			if (inParam.IndexOf("session") != -1)
			{
				dynamic obRtn = (JObject)JsonConvert.DeserializeObject(inParam);
				JArray seJar = obRtn.session;
				UserMessage.session = seJar[0].ToString();
			}
			//return sess;
		}
	}

	public class userMsg
	{
		[JsonProperty("userID")]
		public string userID ;
		[JsonProperty("userCode")]
		public string userCode ;
		[JsonProperty("userName")]
		public string userName ;
		[JsonProperty("locID")]
		public string locID ;
		[JsonProperty("locDesc")]
		public string locDesc ;
		[JsonProperty("groupID")]
		public string groupID ;
		[JsonProperty("groupDesc")]
		public string groupDesc ;
		[JsonProperty("hospID")]
		public string hospID ;

		[JsonProperty("hospCode")]
		
		public string hospCode ;
		[JsonProperty("hospDesc")]
		public string hospDesc ;

		[JsonProperty("langID")]
		
		public string langID ;
		[JsonProperty("langDesc")]
		
		public string langDesc ;
		[JsonProperty("changeFlag")]
		
		public string changeFlag ;
		[JsonProperty("changeDesc")]
		
		public string changeDesc ;
		[JsonProperty("lastLoginDate")]
		
		public string lastLoginDate ;
		[JsonProperty("lastLoginTime")]
		
		public string lastLoginTime ;
		[JsonProperty("directorAuth")]
		
		public string directorAuth ;
		[JsonProperty("defaultMenuType")]
		
		public string defaultMenuType ;
		[JsonProperty("titleDesc")]
		
		public string titleDesc ;
		[JsonProperty("userYBCode")]
		
		public string userYBCode ;
		[JsonProperty("hospYBCode")]
		
		public string hospYBCode ;
		[JsonProperty("path")]
		
		public string path ;
		[JsonProperty("sessionID")]
		
		public string sessionID ;
		[JsonProperty("errorMessageTime")]
		
		public string errorMessageTime ;
		[JsonProperty("language")]
		
		public string language ;
		[JsonProperty("messageTime")]
		public string messageTime ;
	}

	public class UserMessage
	{
		public static string session;
		public static string userID;
		public static string userCode;
		public static string userName;
		public static string locID;
		public static string locDesc;
		public static string groupID;
		public static string groupDesc;
		public static string hospID;
		public static string hospCode;
		public static string hospDesc;
		public static string langID;
		public static string langDesc;
		public static string changeFlag;
		public static string changeDesc;
		public static string lastLoginDate;
		public static string lastLoginTime;
		public static string directorAuth;
		public static string defaultMenuType;
		public static string titleDesc;
		public static string userYBCode;
		public static string hospYBCode;
		public static string path;
		public static string sessionID;
		public static string errorMessageTime;
		public static string language;
		public static string messageTime;
	}
}

























